%define pkgname libglademm
%define version 2.6.0
%define release 1mdk

%define libglade_version 2.3.6
%define gtkmm_version 2.6.0

%define major 1
%define api_version 2.4
%define libname		%mklibname glademm %{api_version} %{major}
%define libname_orig	%mklibname glademm %{api_version}

Name:	 	%{pkgname}%{api_version}
Summary: 	C++ interface of glade2 library
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group:   	System/Libraries
Source:  	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	libglade2.0-devel >= %{libglade_version}
BuildRequires:	gtkmm2.4-devel >= %{gtkmm_version}
Buildrequires:	doxygen

%description
This package provides a C++ interface for glade2.  It is a subpackage
of the gnomemm project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package	-n %{libname}
Summary:	C++ interface of glade2 library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This package provides a C++ interface for glade2.  It is a subpackage
of the gnomemm project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package	-n %{libname}-devel
Summary:	Development related files of %{pkgname}
Group:		Development/GNOME and GTK+
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	libglade2.0-devel >= %{libglade_version}
Requires:	gtkmm2.4-devel >= %{gtkmm_version}

%description	-n %{libname}-devel
This package provides headers and various development files needed for
compiling or developing applications that use Glade 2 C++ interface.

%package	doc
Summary:	Documentation for %{pkgname} library
Group:		Books/Other

%description	doc
This package provides API documentation of %{pkgname} library, which
is part of gnomemm project that provides C++ interface for GNOME libraries.
The documents can be browsed via devhelp, an API documentation viewer.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --enable-static
%make 

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%files doc
%defattr(-, root, root)
%{_docdir}/gnomemm-2.6/*
%{_datadir}/devhelp/books/*

%changelog
* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- requires new gtkmm
- New release 2.6.0

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- source URL
- New release 2.4.2

* Sun Jun 20 2004 Abel Cheung <deaddog@deaddog.org> 2.4.1-2mdk 
- Rebuild against new gtkmm
- fix source URL

* Mon Jun  7 2004 Götz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- fix source URL
- reenable libtoolize
- New release 2.4.1

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-1mdk
- New major release

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.2.0-1mdk
- New version
- Remove all patches (upstream or not needed)
- Only provides libglademm2.0(-devel), so other packages won't
  require libglademm without indicating API version
- Please use UTF-8 for spec in the future

* Sat Nov 01 2003 Abel Cheung <deaddog@deaddog.org> 2.1.2-3mdk
- Revert previous change (Don't blindly add provides, libglademm and
  glademm are entirely different thing)

* Wed Oct 29 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.2-2mdk
- provides (lib64..)

* Thu Oct 02 2003 Abel Cheung <deaddog@deaddog.org> 2.1.2-1mdk
- 2.1.2
- Patch1: Make libtool 1.5 always search for staging libraries first
  during relinking
- Provides plain package name

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-1mdk
- Rename glademm2.0 -> libglademm2.0, avoid confusion with
  the real glademm package
- Build static library
- Build doc
- Need not provide glademm2.0{,-devel} since nothing require them
- Patch0: Fix doc/reference/Doxyfile (which was having old variable that
  belongs to gnomeuimm package)

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 1.3.10-1mdk
- initial package
